### Method

# RB RhythmDBQueryModel move_entry

#### Declaration [src]

    void
    rhythmdb_query_model_move_entry (
      RhythmDBQueryModel* model,
      RhythmDBEntry* entry,
      gint index
    )

#### Description [src]

Moves an entry to a new position in the query model. The position must be a between 0 and the number of entries in the model. Specifying -1 does not move the entry to the end of the model.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  The `RhythmDBEntry` to move.

  The data is owned by the caller of the method.

`index`

  Type: `gint`

  Position to move to.